petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESFASCycleGetInterpolation

Gets the interpolation on this level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetInterpolation(SNES snes, Mat *mat)

Logically Collective on SNES

### Input Parameters

snes -the multigrid context

### Output Parameters

mat -the interpolation operator on this level

### See Also

SNESFASCycleGetSmootherUp(), SNESFASCycleGetSmoother()

### Level

developer

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages